NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Drawings.MultipleViewPlacementBuilder Class Reference

This builder allows the user to create a Multiple View Placement More...

Inheritance diagram for NXOpen.Drawings.MultipleViewPlacementBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Option { Center, Corners }
 The placement option type More...
 

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AssociativeAlignment [get, set]
 Returns or sets the associative alignment toggle More...
 
unsafe
NXOpen.Drawings.MultipleViewPlacementBuilder.Option 
OptionType [get, set]
 Returns or sets the placement option More...
 
unsafe
NXOpen.Drawings.ViewPlacementBuilder 
ViewPlacementCenter [get]
 Returns the view placement block for the center option More...
 
unsafe
NXOpen.Drawings.ViewPlacementBuilder 
ViewPlacementFirstCorner [get]
 Returns the view placement block for the first corner More...
 
unsafe
NXOpen.Drawings.ViewPlacementBuilder 
ViewPlacementSecondCorner [get]
 Returns the view placement block for the second corner More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This builder allows the user to create a Multiple View Placement

Created in NX6.0.2

Member Enumeration Documentation

The placement option type

Enumerator
Center 

By Center

Corners 

By Corners

Member Function Documentation

unsafe bool NXOpen.Drawings.MultipleViewPlacementBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe bool NXOpen.Drawings.MultipleViewPlacementBuilder.AssociativeAlignment
getset

Returns or sets the associative alignment toggle

Created in NX8.5.0

License requirements to get this property: drafting ("DRAFTING")

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.MultipleViewPlacementBuilder.Option NXOpen.Drawings.MultipleViewPlacementBuilder.OptionType
getset

Returns or sets the placement option

Created in NX6.0.2

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Drawings.ViewPlacementBuilder NXOpen.Drawings.MultipleViewPlacementBuilder.ViewPlacementCenter
get

Returns the view placement block for the center option

Created in NX6.0.2

License requirements: None.

unsafe NXOpen.Drawings.ViewPlacementBuilder NXOpen.Drawings.MultipleViewPlacementBuilder.ViewPlacementFirstCorner
get

Returns the view placement block for the first corner

Created in NX6.0.2

License requirements: None.

unsafe NXOpen.Drawings.ViewPlacementBuilder NXOpen.Drawings.MultipleViewPlacementBuilder.ViewPlacementSecondCorner
get

Returns the view placement block for the second corner

Created in NX6.0.2

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.